#ifndef LOCALAUTHMANAGER_H
#define LOCALAUTHMANAGER_H

#include "dm_common_global.h"

#include <QObject>
#include <QString>

#include "manager.h"


struct AuthData {
    QString username;
    QString password;
};


class DM_COMMONSHARED_EXPORT LocalAuthManager : public QObject, public Manager
{
    Q_OBJECT
public:
    explicit LocalAuthManager(QObject* parent = nullptr);
    ~LocalAuthManager() override;

signals:
    void loginRequest(const AuthData& data);
    void loginFailed();
    void successLogin();
    void passwordChangeRequested(const bool withAuth);
    void newPasswordInsertionCompleted(const QString &login,
                                       const QString &oldPassword,
                                       const QString &newPassword,
                                       const QString &confirmPassword);
    void newPasswordInsertionRejected();
    void pamErrorReceived(const QString &message);

public slots:
    void performLoginRequest(const AuthData& data);
};

#endif // LOCALAUTHMANAGER_H
