#ifndef USERSMANAGER_H
#define USERSMANAGER_H

#include "dm_common_global.h"

#include <QObject>

#include "manager.h"
#include "userinfo.h"
#include "structures.h"
#include "stssettings.h"


class DM_COMMONSHARED_EXPORT UsersManager : public QObject, public Manager
{
    Q_OBJECT

public:
    explicit UsersManager(const UsersPwdList& users,
                          const IconList& icons,
                          StsSettings* stsSettings,
                          const bool showTokenUsers = false,
                          const bool showUsers = false,
                          QObject* parent = nullptr);
    ~UsersManager() override;

public:
    const UsersData users() const;
    const QString defaultUsername() const;
    void saveDefaultUsername(const QString& username) const;
    static const QString getHostname();
    const bool showTokenUsers;
    const bool showUsers;

private:
    UsersData m_users;
    UsersData m_tokenUsers;
    QString m_defaultUsername;
    StsSettings* m_stsSettings;

signals:
    void usersChanged(const UsersData &users);

private slots:
    void tokenUsersChanged(const QStringList &tokenUsersList);
};

#endif // USERSMANAGER_H
