#include "stssettings.h"


StsSettings::StsSettings(const QString& path, const QString& dName) :
    m_settings(path, QSettings::IniFormat),
    m_dName(dName)
{
    m_settings.beginGroup("PrevUser");
}

StsSettings::~StsSettings()
{
}

const QString StsSettings::getDefaultUsername() const
{
    return m_settings.value(m_dName, QString()).toString();
}

void StsSettings::saveDefaultUsername(const QString& username)
{
    m_settings.setValue(m_dName, username);
    m_settings.sync();
}
