#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include "dm_common_global.h"

#include <QStringList>


struct DM_COMMONSHARED_EXPORT SystemInfo
{
public:
    int dmSocket;
    QStringList loginPlugins;
    QStringList sessionsDirs;
    QString faceDir;
    bool showUsers;
    bool showTokenUsers;
    bool userList;
    __uid_t lowUserId;
    __uid_t highUserId;
    QStringList users;
    QStringList noUsers;
    bool showRoot;
    bool sortUsers;
    QString vkbCommand;
    bool allowClose;
    bool isReserve;
    bool isLocal;
    bool hasConsole;
    QString locale;
    QString dname;
    QString stsFile;
    int xdpi;

public:
    static const QString fullPluginPath(const QString& name);
    static const QStringList pointToStringList(char** point);
    static __uid_t intToUid_t(const int value);
};

#endif // SYSTEMINFO_H
