#ifndef UTILS_H
#define UTILS_H

#include <QString>
#include <QWidget>
#include <QApplication>
#include <QFile>
#include <QPixmap>
#include <QIcon>

#include "exceptions.h"


namespace Utils
{
    template<typename T>
    T findWidget(const QString &name, const QWidget *parent) // TODO
    {
        const auto widget = parent->findChild<T>(name);

        if (!widget) {
            throw CommonException(QApplication::tr("Widget '%1' not found in parent '%2'").arg(name).arg(parent->objectName()));
        }

        return widget;
    }

    const QString shortSystemLocale();

    QFile* openFile(const QString& path);

    const QSize caclulateRealPaintDeviceSize(QPaintDevice* device);

    const QPixmap circlePixmapFromIcon(const QIcon& icon, const QSize& size);

    const QPixmap circlePixmapFromIconWithEmblem(const QIcon &icon, const QSize &size, const QIcon &emblem);
}

#endif // UTILS_H
