#ifndef UIGREETER_H
#define UIGREETER_H

#include "kfdialog.h"
#include "themeinfo.h"
#include "systeminfo.h"


class GreeterHandler;
class ShutdownHandler;
class GreeterManagers;
class StsSettings;


class UiGreeter : public FDialog
{
    Q_OBJECT

public:
    explicit UiGreeter(const ThemeInfo& themeInfo, const SystemInfo& systemInfo, QScreen* screen);
    ~UiGreeter() override;

public:
    void load();

public slots:
    int exec() override;

private slots:
    void performSuccessLogin();
    void restartXServer();
    void exitConnection();
    void showConsoleDialog();

private:
    void setupManagers();

private:
    SystemInfo m_systemInfo;
    ThemeInfo m_themeInfo;
    GreeterHandler* m_greeterHandler;
    ShutdownHandler* m_shutdownHandler;
    GreeterManagers* m_managers;
    StsSettings* m_stsSettings;
};

#endif // UIGREETER_H
